Skip to main content
`Ctrl`+`K`

# SVDSetDS

Associates a direct solver object to the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetDS(SVD svd,DS ds)

Collective

## Input Parameters

- svd - the singular value solver context

- ds - the direct solver object

## Note

Use `SVDGetDS()` to retrieve the direct solver context (for example, to free it at the end of the computations).

## See Also

SVD: Singular Value Decomposition, `SVDGetDS()`

## Level

advanced

## Location

src/svd/interface/svdbasic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages